# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class DatasourcesTestBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'database': 'str',
        'table': 'str',
        'path': 'str',
        'request': 'str',
        'bucket': 'str',
        'connector_id': 'str'
    }

    attribute_map = {
        'database': 'database',
        'table': 'table',
        'path': 'path',
        'request': 'request',
        'bucket': 'bucket',
        'connector_id': 'connector_id'
    }

    def __init__(self, database=None, table=None, path=None, request=None, bucket=None, connector_id=None):  # noqa: E501
        """DatasourcesTestBody - a model defined in Swagger"""  # noqa: E501
        self._database = None
        self._table = None
        self._path = None
        self._request = None
        self._bucket = None
        self._connector_id = None
        self.discriminator = None
        if database is not None:
            self.database = database
        if table is not None:
            self.table = table
        if path is not None:
            self.path = path
        if request is not None:
            self.request = request
        if bucket is not None:
            self.bucket = bucket
        if connector_id is not None:
            self.connector_id = connector_id

    @property
    def database(self):
        """Gets the database of this DatasourcesTestBody.  # noqa: E501


        :return: The database of this DatasourcesTestBody.  # noqa: E501
        :rtype: str
        """
        return self._database

    @database.setter
    def database(self, database):
        """Sets the database of this DatasourcesTestBody.


        :param database: The database of this DatasourcesTestBody.  # noqa: E501
        :type: str
        """

        self._database = database

    @property
    def table(self):
        """Gets the table of this DatasourcesTestBody.  # noqa: E501


        :return: The table of this DatasourcesTestBody.  # noqa: E501
        :rtype: str
        """
        return self._table

    @table.setter
    def table(self, table):
        """Sets the table of this DatasourcesTestBody.


        :param table: The table of this DatasourcesTestBody.  # noqa: E501
        :type: str
        """

        self._table = table

    @property
    def path(self):
        """Gets the path of this DatasourcesTestBody.  # noqa: E501


        :return: The path of this DatasourcesTestBody.  # noqa: E501
        :rtype: str
        """
        return self._path

    @path.setter
    def path(self, path):
        """Sets the path of this DatasourcesTestBody.


        :param path: The path of this DatasourcesTestBody.  # noqa: E501
        :type: str
        """

        self._path = path

    @property
    def request(self):
        """Gets the request of this DatasourcesTestBody.  # noqa: E501


        :return: The request of this DatasourcesTestBody.  # noqa: E501
        :rtype: str
        """
        return self._request

    @request.setter
    def request(self, request):
        """Sets the request of this DatasourcesTestBody.


        :param request: The request of this DatasourcesTestBody.  # noqa: E501
        :type: str
        """

        self._request = request

    @property
    def bucket(self):
        """Gets the bucket of this DatasourcesTestBody.  # noqa: E501


        :return: The bucket of this DatasourcesTestBody.  # noqa: E501
        :rtype: str
        """
        return self._bucket

    @bucket.setter
    def bucket(self, bucket):
        """Sets the bucket of this DatasourcesTestBody.


        :param bucket: The bucket of this DatasourcesTestBody.  # noqa: E501
        :type: str
        """

        self._bucket = bucket

    @property
    def connector_id(self):
        """Gets the connector_id of this DatasourcesTestBody.  # noqa: E501


        :return: The connector_id of this DatasourcesTestBody.  # noqa: E501
        :rtype: str
        """
        return self._connector_id

    @connector_id.setter
    def connector_id(self, connector_id):
        """Sets the connector_id of this DatasourcesTestBody.


        :param connector_id: The connector_id of this DatasourcesTestBody.  # noqa: E501
        :type: str
        """

        self._connector_id = connector_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DatasourcesTestBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DatasourcesTestBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
